<template>
  <div class="p-4 flex justify-between border-b border-900">
    <span class="font-semibold text-xl base:text-lg small:text-base"
      >Tambahkan Catatan</span
    >
  </div>
  <div class="p-4">
    <ReaderInput
      v-model="catatan"
      label="Masukkan catatan di sini"
      name="catatan"
      link="http://www.w3.org/2000/svg"
      view="0 0 24 24"
      path="M21.99 4c0-1.1-.89-2-1.99-2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h14l4 4-.01-18zM18 14H6v-2h12v2zm0-3H6V9h12v2zm0-3H6V6h12v2z"
      v-bind:classes="[
        'appearance-none block w-full bg-600 text-300 border border-1 border-600 pb-3 pt-5 pl-11 mb-3 leading-tight focus:outline-none focus:border-400 rounded-full peer base:text-sm small:text-xs',
      ]"
      v-bind:classeslabel="[
        this.catatan !== ''
          ? 'absolute left-11 text-gray-600 cursor-text text-xs top-1 transition-all'
          : 'absolute left-11 top-4 text-gray-600 cursor-text peer-focus:text-xs peer-focus:top-1 transition-all base:text-sm small:text-xs',
      ]"
    />
  </div>
</template>

<script>
import ReaderInput from "../../../common/ReaderInput.vue";
export default {
  name: "Catatan",
  props: ["catatan"],
  components: {
    ReaderInput,
  },
  data() {
    return {
      //input message
      catatan: "",
    };
  },
};
</script>
